Verified Commit c87538ec authored by Pilou's avatar Pilou
Browse files

Upgrade pyflakes in order to avoid py3.8 issue

Upgrade flake8 in order to upgrade pyflakes in order to avoid this
exception:

    AttributeError: 'Checker' object has no attribute 'CONSTANT'

Pipfile.lock has been updated using the following commands:

    docker run --rm -it -v HOME/infrastructure:/root -w /root/infrastructure \
      debian:stable /bin/sh -c "apt update; apt install -y \
        --no-install-recommends python3 pipenv; pipenv lock --keep-outdated"

requirements*.txt files have been updated using:

    pipenv_to_requirements -f
parent d1e7ffae
......@@ -5,7 +5,7 @@ verify_ssl = true
[dev-packages]
coverage = "==4.5"
flake8 = "==3.5"
flake8 = "==3.9"
mock = "==2.0.0"
pip-tools = "==5.1.2"
pytest = "==4.4.0"
......@@ -14,7 +14,7 @@ pytest-mock = "==1.10.4"
pytest-django = "==3.4.8"
requests-mock = "==1.6.0"
Sphinx = "==1.8.2"
tox = "==3.20.1"
tox = "==3.21.0"
twine = "==1.13.0"
dnspython = "==1.16.0"
pipenv-to-requirements = "*"
......
This diff is collapsed.
......@@ -12,58 +12,61 @@
alabaster==0.7.12
appdirs==1.4.4
atomicwrites==1.4.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
attrs==20.3.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
babel==2.9.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
bleach==3.2.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
atomicwrites==1.4.0
attrs==20.3.0
babel==2.9.0
bleach==3.3.0
certifi==2020.12.5
chardet==4.0.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
click==7.1.2 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
chardet==4.0.0
click==7.1.2
coverage==4.5
distlib==0.3.1
dnspython==1.16.0
docutils==0.16 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
docutils==0.17.1
filelock==3.0.12
flake8==3.5
idna==2.10 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
imagesize==1.2.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
flake8==3.9
idna==2.10
imagesize==1.2.0
importlib-metadata==4.0.1 ; python_version < '3.8'
jinja2==2.11.2
markupsafe==1.1.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
markupsafe==1.1.1
mccabe==0.6.1
mock==2.0.0
more-itertools==8.6.0 ; python_version > '2.7'
packaging==20.8 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pbr==5.5.1 ; python_version >= '2.6'
more-itertools==8.7.0 ; python_version > '2.7'
packaging==20.9
pbr==5.5.1
pip-tools==5.1.2
pipenv-to-requirements==0.9.0
pipenv==2020.11.15 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pkginfo==1.6.1
pluggy==0.13.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
py==1.10.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pycodestyle==2.3.1
pyflakes==1.6.0
pygments==2.7.3 ; python_version >= '3.5'
pyparsing==2.4.7 ; python_version >= '2.6' and python_version not in '3.0, 3.1, 3.2, 3.3'
pipenv==2020.11.15
pkginfo==1.7.0
pluggy==0.13.1
py==1.10.0
pycodestyle==2.7.0
pyflakes==2.3.1
pygments==2.8.1
pyparsing==2.4.7
pytest-cov==2.6.1
pytest-django==3.4.8
pytest-mock==1.10.4
pytest==4.4.0
pytz==2020.5
readme-renderer==28.0
pytz==2021.1
readme-renderer==29.0
requests-mock==1.6.0
requests-toolbelt==0.9.1
requests==2.25.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
six==1.15.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
snowballstemmer==2.0.0
requests==2.25.1
six==1.15.0
snowballstemmer==2.1.0
sphinx==1.8.2
sphinxcontrib-serializinghtml==1.1.4 ; python_version >= '3.5'
sphinxcontrib-websupport==1.2.4 ; python_version >= '3.5'
sphinxcontrib-serializinghtml==1.1.4
sphinxcontrib-websupport==1.2.4
testinfra==5.0.0
toml==0.10.2 ; python_version >= '2.6' and python_version not in '3.0, 3.1, 3.2, 3.3'
tox==3.20.1
tqdm==4.55.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
toml==0.10.2
tox==3.21.0
tqdm==4.60.0
twine==1.13.0
urllib3==1.26.2 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4' and python_version < '4'
virtualenv-clone==0.5.4 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
virtualenv==20.2.2 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
typing-extensions==3.7.4.3 ; python_version < '3.8'
urllib3==1.26.4
virtualenv-clone==0.5.4
virtualenv==20.4.4
webencodings==0.5.1
zipp==3.4.1
......@@ -12,21 +12,21 @@
ansible==2.9.16
appdirs==1.4.4
attrs==20.3.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
babel==2.9.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
bcrypt==3.2.0 ; python_version >= '3.6'
attrs==20.3.0
babel==2.9.0
bcrypt==3.2.0
beautifulsoup4==4.7.1
cached-property==1.5.2
cached-property==1.5.2 ; python_version < '3.8'
certifi==2020.12.5
cffi==1.14.4
chardet==4.0.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
cffi==1.14.5
chardet==4.0.0
cliff==3.5.0
cmd2==1.4.0 ; python_version >= '3.5'
colorama==0.4.4 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
cryptography==3.3.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4, 3.5'
debtcollector==2.2.0 ; python_version >= '3.6'
decorator==4.4.2
defusedxml==0.6.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
cmd2==1.5.0
colorama==0.4.4
cryptography==3.4.7
debtcollector==2.2.0
decorator==5.0.7
defusedxml==0.7.1
distro==1.5.0
django-allauth==0.39.1
django-bootstrap3==11.0.0
......@@ -36,66 +36,69 @@ docker-compose==1.27.4
docker[ssh]==4.4.1
dockerpty==0.4.1
docopt==0.6.2
dogpile.cache==1.1.1 ; python_version >= '3.6'
dogpile.cache==1.1.2
future==0.18.2
idna==2.10 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
iso8601==0.1.13
idna==2.10
importlib-metadata==4.0.1 ; python_version < '3.8'
iso8601==0.1.14
jinja2==2.11.2
jmespath==0.10.0 ; python_version >= '2.6' and python_version not in '3.0, 3.1, 3.2, 3.3'
jsonpatch==1.28 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
jsonpointer==2.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
jmespath==0.10.0
jsonpatch==1.32
jsonpointer==2.1
jsonschema==3.2.0
keystoneauth1==4.3.0 ; python_version >= '3.6'
keystoneauth1==4.3.1
libvirt-python==6.10.0
markupsafe==1.1.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
markupsafe==1.1.1
msgpack==1.0.2
munch==2.5.0
netaddr==0.7.19
netifaces==0.10.9
oauthlib==3.1.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
oauthlib==3.1.0
openstacksdk==0.52.0
os-client-config==2.1.0
os-service-types==1.7.0
osc-lib==2.3.0 ; python_version >= '3.6'
oslo.config==8.4.0 ; python_version >= '3.6'
oslo.i18n==5.0.1 ; python_version >= '3.6'
oslo.serialization==4.0.1 ; python_version >= '3.6'
oslo.utils==4.7.0 ; python_version >= '3.6'
packaging==20.8 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
osc-lib==2.3.1
oslo.config==8.5.0
oslo.i18n==5.0.1
oslo.serialization==4.1.0
oslo.utils==4.8.0
packaging==20.9
paramiko==2.7.2
pbr==5.5.1 ; python_version >= '2.6'
pbr==5.5.1
prettytable==0.7.2
pycparser==2.20 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pynacl==1.4.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pyopenssl==20.0.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
pyparsing==2.4.7 ; python_version >= '2.6' and python_version not in '3.0, 3.1, 3.2, 3.3'
pyperclip==1.8.1
pyrsistent==0.17.3 ; python_version >= '3.5'
python-cinderclient==7.2.0 ; python_version >= '3.6'
python-dotenv==0.15.0
pycparser==2.20
pynacl==1.4.0
pyopenssl==20.0.1
pyparsing==2.4.7
pyperclip==1.8.2
pyrsistent==0.17.3
python-cinderclient==7.4.0
python-dotenv==0.17.0
python-glanceclient==3.3.0
python-heatclient==2.3.0
python-keystoneclient==4.2.0 ; python_version >= '3.6'
python-novaclient==17.2.1 ; python_version >= '3.6'
python-keystoneclient==4.2.0
python-novaclient==17.4.0
python-openstackclient==5.4.0
python-swiftclient==3.11.0
python-swiftclient==3.11.1
python3-openid==3.2.0
pytz==2020.5
pyyaml==5.3.1
pytz==2021.1
pyyaml==5.4.1
requests-oauthlib==1.3.0
requests==2.25.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
requests==2.25.1
requestsexceptions==1.4.0
rfc3986==1.4.0
sh==1.12.14
shade==1.30.0
simplejson==3.17.2 ; python_version >= '2.5' and python_version not in '3.0, 3.1, 3.2, 3.3'
six==1.15.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
soupsieve==2.1 ; python_version >= '3.5'
sqlparse==0.4.1 ; python_version >= '3.5'
stevedore==3.3.0 ; python_version >= '3.6'
simplejson==3.17.2
six==1.15.0
soupsieve==2.2.1
sqlparse==0.4.1
stevedore==3.3.0
texttable==1.6.3
urllib3==1.26.2 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4' and python_version < '4'
typing-extensions==3.7.4.3 ; python_version < '3.8'
urllib3==1.26.4
warlock==1.3.3
wcwidth==0.2.5
websocket-client==0.57.0
websocket-client==0.58.0
wrapt==1.12.1
zipp==3.4.1
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment